package pianoCartesiano;

public class Retta {
	private double m;
	private double q;
	
	public Retta(double m, double q){
		this.m=m;
		this.q=q;
	}
	
	public Retta (Punto p, double m){
		this (m, p.getY()-m*p.getX());
	}
	
	public Retta (Punto p, Punto q){
		this (q, (p.getY()-q.getY())/
				 (p.getX()-q.getX()));
	}
	
	public double getM(){
		return m;
	}
	
	public double getQ(){
		return q;
	}
	
	public void stampa(){
		System.out.println ("y = " +m +"x + "+q);
	}

}
